SPLIT(1)

NIMI
split - paloittele tiedosto

YLEISKATSAUS
split [VALITSIN]... [TIEDOSTO [ETULIITE]]

KUVAUS

Tulosta kiinteän kokoisia paloja SYÖTTEESTÄ tiedostoihin ETULIITEaa, ETULIITEab, ...; oletuskoko on 1000 riviä, ja oletusETULIITE on ”x”.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-a, --suffix-length=N
    käytä N merkin pituisia jälkiliitteitä (oletus 2)

--additional-suffix=ETULIITE
    append an additional SUFFIX to file names

-b, --bytes=KOKO
    kirjoita KOKO tavua yhteen tulostiedostoon

-C, --line-bytes=KOKO
    kirjoita KOKO tavua rivejä yhteen tulostiedostoon

-d  käytä numeerisia jälkiliitteitä kirjaimien sijaan

--numeric-suffixes[=FROM]
    same as -d, but allow setting the start value

-x  use hex suffixes starting at 0, not alphabetic

--hex-suffixes[=FROM]
    same as -x, but allow setting the start value

-e, --elide-empty-files
    do not generate empty output files with '-n'

--filter=KOMENTO
    write to shell COMMAND; file name is $FILE

-l, --lines=MÄÄRÄ
    kirjoita MÄÄRÄ riviä yhteen tulostiedostoon

-n, --number=LOHKOT
    generate CHUNKS output files; see explanation below

-t, --separator=EROTIN
    use SEP instead of newline as the record separator; '\0' (zero) specifies the NUL character

-u, --unbuffered
    immediately copy input to output with '-n r/...'

--verbose
    näytä ilmoitus juuri ennen kunkin tulostiedoston avaamista

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

SIZE-argumentti on kokonaisluku ja valinnainen yksikkö (esimerkki: 10K on 10*1024). Yksiköt ovat K,M,G,T,P,E,Z,Y,R,Q (tehot 1024) tai KB,MB,... (1000:n valtuudet). Binaarien etuliitteenä voidaan käyttää myös: KiB=K, MiB=M ja niin edelleen.

  LOHKOT voivat olla:

N   jaettuna N-tiedostoihin syötteen koon perusteella

K/N lähtö Kth N:stä stdoutiin

l/N jaettuna N-tiedostoihin ilman rivien/tietueiden jakamista

l/K/N
    lähtö Kth N:stä stdoutiin ilman rivien/tietueiden jakamista

r/N kuten "l", mutta käytä pyöreää robin-jakaumaa

r/K/N
    samoin, mutta vain lähtö Kth of N stdout

TEKIJÄ
Kirjoittaneet Torbjorn Granlund ja Richard M. Stallman.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2023 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/rmdir>
tai saatavilla paikallisesti: '(coreutils) split invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Sami Kuhmonen <sami@iqs.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.